Subject: bug#25683: semi-working patch

From: Dmitry Gutov <[email-masked]>
Date: Wed, 15 Feb 2017 15:42:46 +0200

On 15.02.2017 06:17, Tom Tromey wrote:

> It's on my wish-list, but after a bunch of other things.

Thanks.

> I think I look at the per-file state very rarely if at all;
> whereas vc-dir is one of my main views when working on a project.

Per-file state also affects the vc-dir view as well (that is the exact 
situation in bug#19343). But I was only suggesting you reimplement 
vc-git-dir-status-files based on 'git status --porcelain'.

The fact that reusing the resulting code in vc-git-status would be very 
easy is just the icing. ;)

Anyway, the file permissions question complicates the issue.